{% extends 'base.html' %}

{% block content %}

<div class="container text-primary-emphasis">
  <h1>{% block title %} Conta do usuário: {{ usuario }} {% endblock %}</h1>
  <div class="container bg-primary-subtle border border-primary-subtle rounded">
     <div class="row">
        <div class="col">	
	  {{ conta }}
        </div>
        <div class="col">	
	  Secret: <b> {{ secret }} </b>
        </div>
     </div>
     <div class="row">
        <div class="col">	
          <div class="container">
            <form name="frmchave" id="frmchave" action="http://127.0.0.1:5000/chave" method="post">
              <div class="mb-3">
		<input type="hidden" name="usuario" value="{{ usuario }}">
		<input type="hidden" name="oid_conta" value="{{ oid_conta }}">
		<input type="hidden" name="secret" value="{{ secret }}">
              </div>
              <div>
                <button type="submit" class="btn btn-success">Validar Secret</button>
              </div>
            </form>
          </div>
        </div>
    </div>
     <div class="row">
        <div class="col">	
          {% if message %}
             <h2>{{ message }}</h2>
          {% endif %}
        </div>
    </div>
    <div class="row">
      <div class="col">	
        <div class="mb-3">
          <a class="nav-link" href="{{ url_for('login') }}">Login</a>
        </div>
      </div>
    </div>
  </div>
</div>

{% endblock %}
